Generate CSV template file for items - Fabric
Generate CSV template file for items
cURL
curl --request GET \
--url https://live.copilot.fabric.inc/api-product/v1/product/bulk/template/{accountId}/{nodeId} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
import requests
url = "https://live.copilot.fabric.inc/api-product/v1/product/bulk/template/{accountId}/{nodeId}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://live.copilot.fabric.inc/api-product/v1/product/bulk/template/{accountId}/{nodeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
Response Codes:
- 200 - OK
a response of type
file. - 400 - Client error
{ "code": 400, "message": "Client error" } - 500 - An internal error occurred.
{ "code": 500, "message": "An internal error occurred. If the issue persists please contact support@fabric.inc." }
Authorizations
- Authorization: string, header, required - S2S access token (JWT) from fabric Identity service (during Login)
Headers
- x-site-context: string, required - The
x-site-contextheader is a JSON object that contains information about the source you wish to pull from. The mandatoryaccountis the 24 character identifier found in Copilot. Thechannel(Sales channel ID),stage(environment name), anddateattributes can be used to further narrow the scope of your data source.
Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
Path Parameters
- accountId: string, required - Account ID
- nodeId: string, required - A 24-character system-generated category ID.